Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IBounds

    java.lang.Object
      igeo.IBounds

    public class IBounds

extends java.lang.Object

Bounding box described by minimum point and maximum point.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`IVec` | `max`
`IVec` | `min`

Constructor Summary
`IBounds()`
`IBounds(IObject obj)`
`IBounds(IVec p)`

Method Summary
`IVec` | `center()`
`void` | `compare(IObject e)`
`void` | `compare(IVec p)`
`IVec` | `getCenter()`
`IVec` | `getMax()`
`IVec` | `getMin()`
`IVec` | `getSize()`
`void` | `init()`
`void` | `init(IVec p)`
`IVec` | `max()`
`IVec` | `min()`
`void` | `setObject(IObject object)`
`void` | `setObjects(java.util.ArrayList<IObject> objects)`
`void` | `setObjects(IServer server)` Calculates bounding box of all the visible objects in IServer
`IVec` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### min

    public IVec min

### max

    public IVec max

Constructor Detail

### IBounds

    public IBounds()

### IBounds

    public IBounds(IVec p)

### IBounds

    public IBounds(IObject obj)

Method Detail

### min

    public IVec min()

### getMin

    public IVec getMin()

### max

    public IVec max()

### getMax

    public IVec getMax()

### size

    public IVec size()

### getSize

    public IVec getSize()

### center

    public IVec center()

### getCenter

    public IVec getCenter()

### init

    public void init(IVec p)

### init

    public void init()

### compare

    public void compare(IVec p)

### compare

    public void compare(IObject e)

### setObjects

    public void setObjects(IServer server)

  Calculates bounding box of all the visible objects in IServer

### setObject

    public void setObject(IObject object)

### setObjects

    public void setObjects(java.util.ArrayList<IObject> objects)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD